// SM 配置
export const SM_CONFIG = {
  SALT: '2cc0c5f9f1749f1632efa9f63e902323', // SM3 盐值（16 字节）
  SM4_KEY:"78d1295afa99449b99d6f83820e6965c",     // SM4 对称加密密钥
  SM4_SALT:"f555adf6c01d0ab0761e626a2dae34a2",
  SM2_PUBLIC_KEY: 'your-public-key',   // SM2 公钥
  SM2_PRIVATE_KEY: 'your-private-key'  // SM2 私钥
}
// AES 配置
export const AES_CONFIG = {
  AES_KEY: 'Zhgd@Bonu123456', // AES key值
  AES_IV: '1234567812345678' // AES 偏移量
}

export function generateUUID() {
  // 使用当前时间戳和随机数生成一个 UUID
  return 'xxxxxxxxxxxx4xxxyxxxxxxxxxxxxxxx'.replace(/[xy]/g, function(c) {
    const r = Math.random() * 16 | 0; // 生成随机数
    const v = c === 'x' ? r : (r & 0x3 | 0x8); // 根据 UUID 规范生成相应的值
    return v.toString(16); // 转换为十六进制
  });
}

